package com.zsc.edu.gateway.modules.attachment.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.attachment.entity.Attachment;
import org.springframework.core.io.Resource;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
* @author fantianzhi
 * &#064;description  针对表【attach_file(票据附件表)】的数据库操作Service
 * &#064;createDate  2024-01-28 19:48:22
 */
public interface AttachmentService extends IService<Attachment> {

    Attachment store(Attachment.Type type, MultipartFile file) throws IOException;
     Attachment stores(Attachment.Type type, MultipartFile file)throws IOException;

    Resource loadAsResource(String id);

    Attachment.Wrapper loadAsWrapper(String id);

    List<Attachment> selectList(List<String> dis);

    Boolean delete(String id);
}
